var Protocol = function()
{
	var protocol = {};
	var debug = 0;
	
	// Page initialization
	protocol.initPage = function()
	{
		var pageId = Doc.getPageId();
		if (pageId == 'protocol')
		{
			Buttons.addClickHandler('print-button', Wizard.goPrint);	
			Doc.show('all-protocol');
		}
		else
		{
			Buttons.addClickHandler('gocreate', protocol.viewProtocol);
			var url = '../RnaQc.servlet?ID='+App.getSessionId();
			url += '&cmd=GetActiveRnaQcBioPlates&numFreeWells=0&bioPlateType=BA_RNAQC';
			Wizard.showLoadingAnimation('Loading RNAQC plates...');
			Wizard.asyncJsonRequest(url, protocol.qcPlatesLoaded);
		}
	}
	
	protocol.qcPlatesLoaded = function(response)
	{
		var frm = document.forms['reggie'];
		var qcPlates = response.plates;
		
		for (var i = 0; i < qcPlates.length; i++)
		{
			var plate = qcPlates[i];
			if (plate.usedWells > 0)
			{
				var option = new Option(plate.name + ' -- ' + plate.usedWells + ' used wells', plate.id);
				option.bioPlate = plate;
				frm.bioPlates[frm.bioPlates.length] = option;
			}
		}
		
		if (frm.bioPlates.length == 0)
		{
			Wizard.setFatalError('Could not find any BioAnalyzer plates.');
			return;
		}
		
		Doc.show('step-1');
		Doc.show('gocreate');
	}

	
	protocol.viewProtocol = function()
	{
		var frm = document.forms['reggie'];
		frm.submit();
	}

	return protocol;
}();

Doc.onLoad(Protocol.initPage);

